package de.telekom.silly_game;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;

import java.util.Collections;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

@RestController
@RequestMapping("/game")
public class GameController {

    private static final Logger log = LoggerFactory.getLogger(GameController.class);

    @GetMapping("/start")
    public String startGame() {
        return "Game started!";
    }

    private AtomicInteger jumpCount = new AtomicInteger(0);

    @Value("${domain}")
    private String domain;

    @GetMapping("/jump")
    public Map<String, Integer> registerJump() {
        System.out.println(domain);
        log.atInfo().log("Jump registered");
        int total = jumpCount.incrementAndGet();
        return Collections.singletonMap("totalJumps", total);
    }

}